From 8ee2a822478f1f3c71073ed6c63d0a54d6566c3c Mon Sep 17 00:00:00 2001
From: Gurjeet Singh <gurjeet@singh.im>
Date: Sat, 27 May 2023 14:54:50 -0700
Subject: [PATCH v1] Document that the server starts only if at least 1 tcp/ip
 connection can be established

---
 doc/src/sgml/config.sgml | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
index d190be1925..53d50ff4bb 100644
--- a/doc/src/sgml/config.sgml
+++ b/doc/src/sgml/config.sgml
@@ -659,7 +659,12 @@ include_dir 'conf.d'
          to it.
          The default value is <systemitem class="systemname">localhost</systemitem>,
          which allows only local TCP/IP <quote>loopback</quote> connections to be
-         made.  While client authentication (<xref
+         made. The server will start only if it can open the <varname>port</varname>
+         on at least one TCP/IP address.  If server is unable to open
+         <varname>port</varname> on a TCP/IP address, it emits a warning.
+       <para>
+       </para>
+         While client authentication (<xref
          linkend="client-authentication"/>) allows fine-grained control
          over who can access the server, <varname>listen_addresses</varname>
          controls which interfaces accept connection attempts, which
-- 
2.35.1

